Subject: Re: Aloha Steve...Walkaround submission
From: "Steve Bamford ARC" <[email-masked]>
To: " Mark Sindiong" <[email-masked]>
Date: Thu, 25 Sep 2003 17:10:08 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Mark Sindiong 
  To: [email-masked] 
  Sent: Sunday, September 07, 2003 11:45 PM
  Subject: Aloha Steve...Walkaround submission

  Steve,
   
  I'd like to submit some images of my F-105D ejection seat (52 images total).   Figure it might help some folks in detailing Trumpeters new F-105D & G.   I'm in the process of restoring the seat so it's missing a few things here and there but for the most part is in its original configuration.   
   
  Some of the items missing are: The man-seat separator webbing & reel; Lower leg garters for the leg restraints; all initiators (explosives), some aircraft/seat interface items, and possibly the seat mounted "Suit Vent" hose... That actually may have been removed as a mod and may not truly be "missing".  
   
  Some highlights:  Seat is in original color; Complete set of straps and hardware (original); Seat Survival kit is correct for later seat setup (which this seat is).
   
  One note... The parachute pack seen in image 52 is not the proper parachute for this seat.   It's a BA-18, the correct parachute pack would be the BA-24 "Force Deploy" which actually fires a slug in order to rapidly deploy the parachute (similar to the parachute system used in the F-102, maybe even the F-106... Not 100% sure of that though).   The BA-24 chute was connected to the seat itself, it was "plugged in" by the pilot once he was strapped into the seat.   The connection can be found on the left upper corner, just above the left arm rest.   Also, the parachute was not stored in the seat at the aircraft but was worn to the aircraft by the pilot.   I simply placed the chute there to show how it all comes together (strictly for display).   The helmet shown with the seat is an HGU-22P with MBU-5P mask... It's pretty accurate for the period the late model F-105Ds occupied.
   
  Please let me know if you require any additional information or if I messed up the file format.   Sorry about not using your HTML template, I'm totally clueless when it comes to that kind of stuff!!! :)
   
  Mahalo!
   
  Mark